Regeln Support-Forum: Kein xbmc.log/kodi.log --> Kein Support ; Keine anständige Beschreibung (incl. Version usw.) --> Kein Support ; Vor dem posten FAQs lesen, Google, Suchfunktion und Hirn benutzen (March 10, 2015)

Der E-Mail Versand bereitet mometan Probleme. Die wenigsten Mails kommen tatsächlich an. Bereits aktivierte Mitglieder sollten auf Funktionen welche einen Mailversand bewirken verzichten. (April 08, 2016)


Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
ImportError: Bad magic number in bs_finalizer.pyo
#1
In der aktuellen XStream 2.1.15 kommt bei mir beim Aufruf von BS nun folgende Fehlermeldung:

ImportError: Bad magic number in
/storage/extUsb/mcfiles/.kodi/addons/plugin.video.xstream/resources/lib/bs_finalizer.pyo

Kann das jemand bestätigen?

Edit:
Der Anhang verweist auf die zur Zeit aktuelle Version 2.1.15, in der nur die letzte Änderung von TangoCash für die API eingefügt wurde, damit es auch unter Android, OSX und iOS bis auf Weiteres wieder läuft.
Zitieren
#2
Daran liegts nur indirekt.
Du hast leider kein debug log dabei aber möglicherweise ist der Pythoninterpreter auf deinem System deutlich älter als der auf meinem, dadurch tritt diese Fehlermeldung auf.
Kein xmbc/kodi.log --> Kein Support  Kein Support per PN!
[HowTo] Eigene Site-Plugins erstellen
Zitieren
#3
Keine Ahnung, mein System ist AFTV.
Keine Ahnung², wie man da den Interpreter aktualisieren kann.
Zitieren
#4
Hm ok bei Android ist das angeblich 2.6.5 die meisten anderen Systeme haben ein 2.7.x
Muss ich demnächst mal sehen ob es allgemein geht wenn ich die Datei mit der alten Version erstelle.
Kein xmbc/kodi.log --> Kein Support  Kein Support per PN!
[HowTo] Eigene Site-Plugins erstellen
Zitieren
#5
Hallo Lynx,

ich habe den gleichen Fehler auf meinem Mac auf 10.10.5

Nachdem ich das mit dem Python gelesen hatte habe ich die aktuellste Version geladen und installiert, bleibt aber bei dem Fehler ...

Log anbei

Gruß,
Marc


Angehängte Dateien
.zip   kodi.log.zip (Größe: 4,03 KB / Downloads: 9)
Zitieren
#6
Das klappt leider nur bei Kodis mit vollwertigen Linuxunterbau.
Das Python welches Kodi bei dir intern verwendet könnte auch noch 2.6.5 sein.
Unter OSX könnte es aber möglich sein die Ordner und Dateien in Kodi/system/python/ durch die Orner und Dateien aus dem nachträglich installierten Python (2.7.x) zu ersetzen.
Kein xmbc/kodi.log --> Kein Support  Kein Support per PN!
[HowTo] Eigene Site-Plugins erstellen
Zitieren
#7
Guten Tag,

danke für das tolle Add-On, doch leider habe ich auf meinem Amzon Fire TV und STick genau diesen fehler bei BS.
Ist es denn möglich diesen zu beseitigen ?
Zitieren
#8
Erst lesen dann posten!
Die Themenestellerin hat auch ein FireTV und außer der Maßnahme aus dem 1. Post kann man da auf die Schnelle nicht viel machen.
Kein xmbc/kodi.log --> Kein Support  Kein Support per PN!
[HowTo] Eigene Site-Plugins erstellen
Zitieren
#9
Hallo, also ich habe auch ein fire TV(15.1) und eine pi2..(openelec 5.08)..
Alles klappt wunderbar...BS... und die anderen addons.

Danke für eure super Arbeit.
Gruss
Shagger
Zitieren
#10
Hallo kann mir einer sagen was ich bei einem AppleTv machen kann ?
Zitieren


Gehe zu:


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste